# Uses of Class
org.eclipse.draw2d.geometry.Transposer

Packages that use Transposer
Package
Description
org.eclipse.draw2d
Primary package containing general interfaces and implementation classes.

## Uses of Transposer in org.eclipse.draw2d

Fields in org.eclipse.draw2d declared as Transposer
Modifier and Type
Field
Description
`protected Transposer`
ConnectionEndpointLocator.`transposer`
Transposes the location if the connection point is along the top or bottom of its owner figure.
`protected Transposer`
OrderedLayout.`transposer`
Transposer object that may be used in layout calculations.
`protected final Transposer`
ScrollBar.`transposer`
Transposes from vertical to horizontal if needed.
`protected final Transposer`
ScrollBarLayout.`transposer`
Transposes values if the ScrollBar is horizontally oriented.
Constructors in org.eclipse.draw2d with parameters of type Transposer
Modifier
Constructor
Description
``
`ScrollBarLayout(Transposer t)`
Constructs a ScrollBarLayout.